CREATE TABLE fai_workflows_b (
    WORKFLOW_ID                 NUMBER(18, 0) ,
    VERSION                     NUMBER(9, 0)      NOT NULL,
    SEEDED_FLAG                 VARCHAR2(4)       NOT NULL,
    SOURCE_WORKFLOW_ID          NUMBER(18, 0) ,
    USE_CASE_ID                 VARCHAR2(400)     NOT NULL,
    WORKFLOW_CODE               VARCHAR2(800)     NOT NULL,
    OWNER_ID                    NUMBER(18, 0) ,
    OWNER_NAME                  VARCHAR2(800) ,
    STATUS                      VARCHAR2(128)     NOT NULL,
    ARCHITECTURE                VARCHAR2(800)     NOT NULL,
    ACCESS_MODIFIER             VARCHAR2(800)     NOT NULL,
    SPECIFICATION               CLOB          ,
    FAMILY                      VARCHAR2(320) ,
    PRODUCT                     VARCHAR2(400) ,
    HIDDEN_FLAG                 VARCHAR2(4)   ,
    START_QUESTION_1            VARCHAR2(480) ,
    START_QUESTION_2            VARCHAR2(480) ,
    START_QUESTION_3            VARCHAR2(480) ,
    START_QUESTION_4            VARCHAR2(480) ,
    START_QUESTION_5            VARCHAR2(480) ,
    FOLLOW_UP_PROMPT_ENABLED    VARCHAR2(4)       NOT NULL,
    FOLLOW_UP_PROMPT            CLOB          ,
    MODEL_CONFIG_ID             NUMBER(18, 0) ,
    MAX_INTERACTIONS            NUMBER(4, 0)  ,
    START_AGENT_ID              NUMBER(18, 0) ,
    INTERNAL_NAME               VARCHAR2(800) ,
    INTERNAL_DESCRIPTION        VARCHAR2(4000),
    MODULE_ID                   VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CUSTOM_FLAG                 VARCHAR2(4)   ,
    SOURCE_WORKFLOW_CODE        VARCHAR2(800) ,
    IS_TEMPLATE                 VARCHAR2(4)   ,
    EMAIL_CONFIG_CODE           VARCHAR2(400) ,
    JOB_REQUEST_ID              NUMBER(18, 0) ,
    IS_AI_APPS_COMPATIBLE       VARCHAR2(4)   ,
    WORKFLOW_ID                 NUMBER(18, 0) ,
    VERSION                     NUMBER(9, 0)      NOT NULL,
    SEEDED_FLAG                 VARCHAR2(4)       NOT NULL,
    SOURCE_WORKFLOW_ID          NUMBER(18, 0) ,
    USE_CASE_ID                 VARCHAR2(400)     NOT NULL,
    WORKFLOW_CODE               VARCHAR2(800)     NOT NULL,
    OWNER_ID                    NUMBER(18, 0) ,
    OWNER_NAME                  VARCHAR2(800) ,
    STATUS                      VARCHAR2(128)     NOT NULL,
    ARCHITECTURE                VARCHAR2(800)     NOT NULL,
    ACCESS_MODIFIER             VARCHAR2(800)     NOT NULL,
    SPECIFICATION               CLOB          ,
    FAMILY                      VARCHAR2(320) ,
    PRODUCT                     VARCHAR2(400) ,
    HIDDEN_FLAG                 VARCHAR2(4)   ,
    MODULE_ID                   VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    START_QUESTION_1            VARCHAR2(480) ,
    START_QUESTION_2            VARCHAR2(480) ,
    START_QUESTION_3            VARCHAR2(480) ,
    START_QUESTION_4            VARCHAR2(480) ,
    START_QUESTION_5            VARCHAR2(480) ,
    FOLLOW_UP_PROMPT_ENABLED    VARCHAR2(4)       NOT NULL,
    FOLLOW_UP_PROMPT            CLOB          ,
    MODEL_CONFIG_ID             NUMBER(18, 0) ,
    MAX_INTERACTIONS            NUMBER(4, 0)  ,
    START_AGENT_ID              NUMBER(18, 0) ,
    INTERNAL_NAME               VARCHAR2(800) ,
    INTERNAL_DESCRIPTION        VARCHAR2(4000),
    CUSTOM_FLAG                 VARCHAR2(4)   ,
    SOURCE_WORKFLOW_CODE        VARCHAR2(800) ,
    IS_TEMPLATE                 VARCHAR2(4)   ,
    EMAIL_CONFIG_CODE           VARCHAR2(400) ,
    JOB_REQUEST_ID              NUMBER(18, 0) ,
    IS_AI_APPS_COMPATIBLE       VARCHAR2(4)   ,
    CONSTRAINT pk_fai_workflows_b PRIMARY KEY (WORKFLOW_ID, WORKFLOW_ID)
);
